Bug 83031 - (nscd-nss_ldap) When using nscd catching services nss-ldap does not work
When using nscd catching services nss-ldap does not work
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2003-01-29 13:17 EST by Luis Martinez
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.3-65
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-06 02:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luis Martinez 2003-01-29 13:17:21 EST
Description of problem: 
If nscd is running then nss-ldap does not work, when disabled nss-ldap works 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1.Setup a pam-ldap config using nscd catching services, create some ldap 
2.Do ls -l on the ldap users home directories or try to auth these users. It 
does not work, you cant auth the users and with the ls -l it shows the users 
uids not related names. 
3.Turn the sncd daemon off everything works despites the performance hit. 
Actual results: 
Expected results: 
Get fixed nscd 
Additional info: 
None, on demand if needed (ldap conf files schemas)
Comment 1 Ulrich Drepper 2004-10-06 02:04:21 EDT
nscd + nss_ldap have always been problematic, until recently.  If you
want to have a working nscd, use glibc-2.3.3-65 from rawhide and the
latest nss_ldap.

If you have problems with the latest code I would like to hear.  File
a new bug.  I'm closing this one since it is outdated.

And don't file bugs for the nscd component, nobody looked at it since
glibc is the correct component.

Note You need to log in before you can comment on or make changes to this bug.